## org.exist.cluster.journal.test
Class JournalManagerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.cluster.journal.test.JournalManagerTest

All Implemented Interfaces:
  junit.framework.Test

public class JournalManagerTest
extends junit.framework.TestCase

Constructor Summary
`JournalManagerTest()`

Method Summary
`void` `testMultiShuffleWriteRead()`
`void` `testMultiShuffleWriteReadMultiEvents()`
`void` `testMultiShuffleWriteReadStoreDocument()`
`void` `testMultiShuffleWriteReadWithQueue()`
`void` `testMultiShuffleWriteReadWithRotation()`
`void` `testRetrieveEvents()`
`void` `testRotation()`
`void` `testWriteEventJournal()`
`void` `testWriteRead()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JournalManagerTest

    public JournalManagerTest()

Method Detail

### testWriteEventJournal

    public void testWriteEventJournal()

### testWriteRead

    public void testWriteRead()

### testMultiShuffleWriteRead

    public void testMultiShuffleWriteRead()

### testMultiShuffleWriteReadMultiEvents

    public void testMultiShuffleWriteReadMultiEvents()

### testMultiShuffleWriteReadStoreDocument

    public void testMultiShuffleWriteReadStoreDocument()

### testMultiShuffleWriteReadWithQueue

    public void testMultiShuffleWriteReadWithQueue()

### testMultiShuffleWriteReadWithRotation

    public void testMultiShuffleWriteReadWithRotation()

### testRetrieveEvents

    public void testRetrieveEvents()

### testRotation

    public void testRotation()

Copyright (C) Wolfgang Meier. All rights reserved.